/**
 * @author	Nerd Almighty
 * @copyright	2009 Bergwerk <http://bergwerk.forenberg.de/>
 * @license	GNU Lesser General Public License <http://opensource.org/licenses/lgpl-license.php>
 */
function dynamicTabMenu() {
	/**
	 * Initialises a new dynamic tab menu
	 */
	this.init = function(tabMenuID) {
		// remove noScript-part
		var noScriptElement = document.getElementById('dynamicTabMenuNoScript-' + tabMenuID);
		if (noScriptElement) {
			noScriptElement.parentNode.removeChild(noScriptElement);
		}

		//show actual tab menu
		var realTabMenu = document.getElementById('dynamicTabMenu-' + tabMenuID);
		if (realTabMenu) {
			realTabMenu.className = 'tabMenuBBCodeClear';
		}
		
		// enable first menu item
		this.showSubTabMenu(tabMenuID, '0');
	}
	
	this.showSubTabMenu = function(tabMenuID, tabMenuItemID) {
		// disable all menu items
		var tabMenuItemUL = document.getElementById('dynamicTabMenu-' + tabMenuID + '-item');
		if (tabMenuItemUL) {
			var tabMenuItemLIs = tabMenuItemUL.childNodes;
			for (var i = 0; i < tabMenuItemLIs.length; i++) {
				tabMenuItemLIs[i].className = '';
			};
		}
		
		// hide all content
		var tabMenuContentParent = document.getElementById('dynamicTabMenu-' + tabMenuID + '-content');
		if (tabMenuContentParent) {
			var tabMenuItemContentDivs = tabMenuContentParent.childNodes;
			for (var i = 0; i < tabMenuItemContentDivs.length; i++) {
				if (tabMenuItemContentDivs[i].style) {
					tabMenuItemContentDivs[i].style.display = 'none';
				}
			};
		}
		
		// enable menu item
		var tabMenuItem = document.getElementById('dynamicTabMenu-' + tabMenuID + '-item-' + tabMenuItemID);
		if (tabMenuItem) {
			tabMenuItem.className = 'activeTabMenu';
		}

		// show content
		var tabMenuContent = document.getElementById('dynamicTabMenu-' + tabMenuID + '-content-' + tabMenuItemID);
		if (tabMenuContent) {
			tabMenuContent.style.display = 'block';
		}
	}
}

var dynamicTabMenu = new dynamicTabMenu();